/**************************************************************************
 * LPRng IFHP Filter
 * Copyright 1994-1997 Patrick Powell, San Diego, CA <papowell@astart.com>
 *
 * Based on the CTI printer filters.
 *  See COPYRIGHT for details.
 *
 * $Id: get_num.c,v 2.2 1997/12/18 09:48:06 papowell Exp papowell $
 */

#include "portable.h"
#include "common.h"
#include "hp4.h"


/*
 * The passed argument is supposed to be a string starting off with any
 * pattern (such as "PAGES=" or "CODE=") and followed by a number.
 * The number is returned as this is the one of major concern.
 */
int get_num(s)
char *s;
{
	int i = -1;

	if( !s ) return(i);

	/* skip over whitespace */
	while( isspace(*s) ) s++;
	/* now we have either a number or bad info */
	/* return 0 if bad info, -1 if end of line */
	if( *s ){
		i = atoi( s );
	}
	return( i );
}

